# Gimp.TextLayer.prototype.get_markup

    function get_markup(): String {
        // Gjs wrapper for gimp_text_layer_get_markup()
    }

Get the markup from a text layer as string.

This procedure returns the markup of the styles from a text layer. The markup will be in the form of Pango's markup - See https://www.pango.org/ for more information about Pango and its markup.

Since 2.8

Returns

  The markup which represents the style of the specified text layer. The returned value must be freed with g_free().